<template>
    <BasicDrawer placement="right" @register="registerDrawer" v-bind="$attrs" :title="pageTitle" width="80%"  @close="closeThisDrawer"> 
        <WbSurveyCfgIndex></WbSurveyCfgIndex>
    </BasicDrawer>
  </template>
  <script lang="ts" setup>
    import {ref} from 'vue';
    import {defHttp} from '/@/utils/http/axios';
    import { BasicDrawer, useDrawerInner } from '/@/components/Drawer';
    import WbSurveyCfgIndex from '../WbSurveyCfgIndex.vue';

    import moment from 'moment';
    const pageTitle = ref("")
    const [registerDrawer,{closeDrawer,setDrawerProps}] = useDrawerInner(async (data) => {
        pageTitle.value = data.name;
    });
    function closeThisDrawer() {
        closeDrawer();
    }

  </script>


